Package gui

# Class Main

java.lang.Object
imgui.app.Window
imgui.app.Application
gui.Main

public class Main extends imgui.app.Application

- ## Field Summary

  ### Fields inherited from class imgui.app.Window

  `colorBg, handle, imGuiGl3, imGuiGlfw`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Main()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `configure(imgui.app.Configuration config)`
  `protected void`
  `disposeWindow()`
  `protected void`
  `initImGui(imgui.app.Configuration config)`
  `static void`
  `main(String[] args)`
  `protected void`
  `preRun()`
  `void`
  `process()`

  ### Methods inherited from class imgui.app.Application

  `launch, postRun`

  ### Methods inherited from class imgui.app.Window

  `dispose, disposeImGui, endFrame, getColorBg, getHandle, init, initWindow, postProcess, preProcess, run, runFrame, startFrame`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Main

    public Main()

- ## Method Details

  - ### configure

    protected void configure(imgui.app.Configuration config)
    Overrides:
      `configure` in class `imgui.app.Application`

  - ### disposeWindow

    protected void disposeWindow()
    Overrides:
      `disposeWindow` in class `imgui.app.Window`

  - ### initImGui

    protected void initImGui(imgui.app.Configuration config)
    Overrides:
      `initImGui` in class `imgui.app.Window`

  - ### preRun

    protected void preRun()
    Overrides:
      `preRun` in class `imgui.app.Application`

  - ### process

    public void process()
    Specified by:
      `process` in class `imgui.app.Window`

  - ### main

    public static void main(String[] args)